import os
import sys
from xml.dom import minidom

import pygame
import pygame.font

import main_layout_functions as functions

class Layout(object):
    def __init__(self, xml_layout_document):
        self.elements = {}
        docxml = minidom.parse(xml_layout_document)

        window_board = docxml.firstChild
        window_board_childs = window_board.childNodes

        functions.erase_childs_end_of_line(window_board_childs)

        for element in window_board_childs:
            tag = element.tagName
            attr = element.getAttribute('type')
            
            x = eval('functions.parse_' + tag + '_' + attr + '(element)')
            self.elements[element.getAttribute('name')] = x
        
        self.window_size = self.elements['window_size']
        self.window_title = self.elements['window_title']
        self.state = {'button_exit': 0, 'button_left_2': 0, 'button_left_1': 0,
                      'button_right_1': 0, 'button_right_2': 0}
